ARCRENAME(1)

NAME
arcrename - rename file or directory

DESCRIPTION

  Usage:

    arcrename [OPTION...] old_url new_url

The arcrename command renames files on grid storage elements.

OPTIONS

-h, --help
    Show help options

-P, --listplugins
    list the available plugins (protocols supported)

-t, --timeout=seconds
    timeout in seconds (default 20)

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

--anyca
    force using both CA certificates configuration for Grid services (typically IGTF) and those provided by OpenSSL

--allowinsecureconnection
    allow TLS connection which failed verification

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The arcrename command renames files or directories on grid storage elements and indexing services. The path component of oldurl and newurl must differ and it must be the only component of both URLs which is different. arcrename will exit with an error if the paths are equivalent or other components of the URLs are different. Renaming a URL to an existing URL will either fail or overwrite the existing URL, depending on the protocol. arcrename works purely at the namespace level and does not perform data transfer.

For more information on ARC URL syntax please read "Protocols, Uniform Resource Locators (URL) and Extensions Supported in ARC" [NORDUGRID-TECH-7]

Depending on the installed libraries (check with -P ), the following protocols may be used: file (file:// prefix may be omitted), http, https, httpg, ftp, gsiftp, srm, root. However renaming is not supported or implemented for some of those protocols.

ENVIRONMENT VARIABLES

X509_USER_PROXY
    The location of the user's Grid proxy file. Shouldn't be set unless the proxy is in a non-standard location.

ARC_LOCATION
    The location where ARC is installed can be specified by this variable. If not specified the install location will be determined from the path to the command being executed, and if this fails a WARNING will be given stating the location which will be used.

ARC_PLUGIN_PATH
    The location of ARC plugins can be specified by this variable. Multiple locations can be specified by separating them by : (; in Windows). The default location is $ARC_LOCATION/lib/arc (\ in Windows).

EXAMPLE
arcrename gsiftp://example.com/grid/file.dat gsiftp://example.com/grid/new.file.dat

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccp(1), arcls(1), arcmkdir(1), arcrm(1)